HostingAntivirusRemovalScanPaginatedListResponse
Successful response with a page of HostingAntivirusRemovalScan
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Array [
removal_scan_idintegerrequired
hosting_idintegerrequired
Id of the hosting (GET /api/v3/hostings/{hosting_id})
task_idinteger | nullnullablerequired
Id of the task of the cleaning (GET /api/v3/tasks/{task_id}); null when the task is not available
statusboolean | nullnullablerequired
Whether the cleaning succeeded; null until the antivirus sends the result
errorstring | nullnullablerequired
Error message of a failed cleaning; null otherwise
date_createddate-timerequired
]
meta objectrequired
Pagination of the list
totalintegerrequired
Number of items in the whole list
countintegerrequired
Number of items in this page: 0 beyond the last page
pagesintegerrequired
Number of pages of the list
pageintegerrequired
Number of this page, starting from 1
per_pageintegerrequired
Maximum number of items in a page
HostingAntivirusRemovalScanPaginatedListResponse
{
"error": 0,
"message": "string",
"data": [
{
"removal_scan_id": 0,
"hosting_id": 0,
"task_id": 0,
"status": true,
"error": "string",
"date_created": "2024-07-29T15:51:28.071Z"
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}